Index: main/waeup.futminna/trunk/src/waeup/futminna/interswitch/browser.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/futminna/interswitch/browser.py	(revision 9629)
+++ main/waeup.futminna/trunk/src/waeup/futminna/interswitch/browser.py	(revision 9630)
@@ -34,6 +34,6 @@
 PRODUCT_ID = '117'
 SITE_NAME = 'futminna-kofa.waeup.org'
-PROVIDER_ACCT = '0061001000021095'
-PROVIDER_BANK_ID = '89'
+PROVIDER_ACCT = '0026781725'
+PROVIDER_BANK_ID = '31'
 PROVIDER_ITEM_NAME = 'BT Education'
 INSTITUTION_NAME = 'FUTMinna'
@@ -180,5 +180,6 @@
             xmldict['department'] = None
             xmldict['faculty'] = None
-        self.category = getUtility(IKofaUtils).PAYMENT_CATEGORIES[self.context.p_category]
+        self.category = getUtility(IKofaUtils).PAYMENT_CATEGORIES[
+            self.context.p_category]
         tz = getUtility(IKofaUtils).tzinfo
         self.local_date_time = to_timezone(
@@ -193,5 +194,6 @@
         xmldict['provider_amt'] = 100 * provider_amt
 
-        # Institution data
+        # Institution data. Account numbers were changed to the new
+        # NUBAN 10 digit number system
         xmldict['institution_acct'] = ''
         xmldict['institution_bank_id'] = ''
@@ -231,31 +233,30 @@
                 xmldict['institution_bank_id'] = '00'
             elif self.context.student.current_mode == 'pg_ft':
-                xmldict['institution_acct'] = "2522040000134"
+                xmldict['institution_acct'] = "2005910931"
                 xmldict['institution_bank_id'] = '8'
             elif self.context.student.state == CLEARED and \
                 self.context.student.current_level == 100:
-                xmldict['institution_acct'] = "0030001000017110"
-                xmldict['institution_bank_id'] = '89'
+                xmldict['institution_acct'] = "0021030851"
+                xmldict['institution_bank_id'] = '31'
             elif self.context.student.state == CLEARED and \
                 self.context.student.current_level == 200:
-                xmldict['institution_acct'] = "0591201005146"
-                xmldict['institution_bank_id'] = '101'
+                xmldict['institution_acct'] = "0005646299"
+                xmldict['institution_bank_id'] = '47'
             elif self.context.student.state == CLEARED and \
                 self.context.student.current_level == 300:
-                xmldict['institution_acct'] = "6013803345"
+                xmldict['institution_acct'] = "1010500151"
                 xmldict['institution_bank_id'] = '117'
             elif self.context.student.state == RETURNING and \
                 self.context.student.current_level in (100,110):
-                xmldict['institution_acct'] = "0591201005146"
-                xmldict['institution_bank_id'] = '101'
+                xmldict['institution_acct'] = "0005646299"
+                xmldict['institution_bank_id'] = '47'
             elif self.context.student.current_level in (200,210):
-                xmldict['institution_acct'] = "6013803345"
+                xmldict['institution_acct'] = "1010500151"
                 xmldict['institution_bank_id'] = '117'
             elif self.context.student.current_level in (300,310):
-                xmldict['institution_acct'] = "2522040000134"
+                xmldict['institution_acct'] = "2005910931"
                 xmldict['institution_bank_id'] = '8'
-            #Change of acct from UBA to GTBank
             elif self.context.student.current_level in (400,410,500,510,600):
-                xmldict['institution_acct'] = "3713516838111"
+                xmldict['institution_acct'] = "0027490487"
                 xmldict['institution_bank_id'] = '10'
 
Index: main/waeup.futminna/trunk/src/waeup/futminna/interswitch/tests.py
===================================================================
--- main/waeup.futminna/trunk/src/waeup/futminna/interswitch/tests.py	(revision 9629)
+++ main/waeup.futminna/trunk/src/waeup/futminna/interswitch/tests.py	(revision 9630)
@@ -75,8 +75,8 @@
             self.browser.contents)
         self.assertMatches(
-            '...item_name="School Fee" item_amt="12970000" bank_id="89" acct_num="0030001000017110"...',
+            '...item_name="School Fee" item_amt="12970000" bank_id="31" acct_num="0021030851"...',
             self.browser.contents)
         self.assertMatches(
-            '...item_name="BT Education" item_amt="150000" bank_id="89" acct_num="0061001000021095"...',
+            '...item_name="BT Education" item_amt="150000" bank_id="31" acct_num="0026781725"...',
             self.browser.contents)
 