Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterlogspage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterlogspage.pt	(revision 9640)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterlogspage.pt	(revision 9641)
@@ -34,6 +34,5 @@
   <form method="POST">
     <button class="btn primary">
-      <img tal:attributes="src static/actionicon_reload.png" />
-      <span i18n:translate="">Reload Page</span>
+      <span i18n:translate="">Reload page</span>
     </button>
     <input i18n:translate="" type="submit" class="btn" name="back"
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainercreate.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainercreate.pt	(revision 9640)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainercreate.pt	(revision 9641)
@@ -1,50 +1,34 @@
-<div i18n:domain="waeup.kofa">
-  <h2 i18n:translate="">Create Report</h2>
-  <div class="row">
-    <div class="span8 columns">
-      <div class="span8 columns">
-	<p i18n:translate="">
-	  Here you can create reports representing portal data.
-	</p>
-	<p i18n:translate="">
-	  Please pick the type of report you want to create from the
-	  selection below.
-	</p>
-	<p i18n:translate="">
-	  Afterwards you can configure the report (do the settings).
-	  The report data will be calculated and then made available
-	  for you to view/download.
-	</p>
+<form  i18n:domain="waeup.kofa"  method="POST">
+  <p i18n:translate="">
+    Here you can create reports representing portal data.
+    Please pick the type of report you want to create from the
+    selection below.
+    Afterwards you can configure the report (do the settings).
+    The report data will be calculated and then made available
+    for you to view/download.
+  </p>
+  <br />
+  <div class="clearfix">
+    <label for="generator">Report Type:</label>
+    <div class="input">
+      <select name="generator">
+        <span tal:repeat="items view/creators" tal:omit-tag="">
+      <option
+          tal:define="name python: items[1]; title python: items[0]"
+          tal:attributes="value name">
+        <span tal:replace="title">TITLE</span>
+      </option>
+        </span>
+      </select>
+      <div class="help-inline" i18n:translate="">
+        Type of report to create
       </div>
-      <form  method="POST">
-      <fieldset>
-
-	<div class="clearfix">
-	  <label for="generator">Report Type:</label>
-	  <div class="input">
-	    <select name="generator">
-	      <span tal:repeat="items view/creators" tal:omit-tag="">
-		<option
-		    tal:define="name python: items[1]; title python: items[0]"
-		    tal:attributes="value name">
-		  <span tal:replace="title">TITLE</span>
-		</option>
-	      </span>
-	    </select>
-	    <span class="help-inline" i18n:translate="">
-	      Type of report to create
-	    </span>
-	  </div>
-
-	</div>
-	<div class="input">
-	  <input i18n:translate="" type="submit" class="btn primary"
-		 name="START_GENERATOR" value="Configure" />
-	</div>
-
-      </fieldset>
-    </form>
-
     </div>
   </div>
-</div>
+  <div class="input">
+    <input i18n:translate="" type="submit" class="btn primary"
+       name="START_GENERATOR" value="Configure" />
+    <a class="btn secondary" href=""
+       tal:attributes="href python:view.url(context)">Cancel</a>
+  </div>
+</form>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainerpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainerpage.pt	(revision 9640)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainerpage.pt	(revision 9641)
@@ -1,43 +1,44 @@
-<h2>Reports</h2>
-<div class="span12">
-  <form method="POST">
-    <a href="" class="btn primary">Reload</a>
-    <a href="create" class="btn secondary">Create new</a>
-  </form>
-</div>
-<hr />
-<div tal:repeat="entry view/entries" class="row">
+<form method="POST" i18n:domain="waeup.kofa">
+  <table>
+  <thead>
+	<tr>
+	  <th i18n:translate="">Report Number</th>
+    <th i18n:translate="">Description</th>
+    <th i18n:translate="">Status</th>
+    <th>&nbsp;</th>
+	</tr>
+  </thead>
+    <tbody>
+      <tr tal:repeat="entry view/entries">
+        <td>
+          <span tal:replace="python: entry[0]">12</span>
+        </td>
+        <td>
+          <span tal:replace="python: entry[1]">REPORT DESCRIPTION</span>
+        </td>
+        <td>
+          <span tal:replace="python: entry[2]">STATUS</span>
+        </td>
+        <td>
+          <form method="POST">
+          <input type="hidden" name="job_id"
+                 tal:attributes="value python: entry[0]" />
+          <input type="submit" class="btn secondary"
+                 name="DISCARD" value="Discard"
+                 tal:condition="python: entry[3]" />
+          <input type="submit" class="btn primary"
+                 name="DOWNLOAD" value="Download"
+                 tal:condition="python: entry[4]" />
+          </form>
+        </td>
+        <td>
+        </td>
+      </tr>
+    </tbody>
+  </table>
+
   <div class="span12">
-    <form method="POST">
-      <div class="span10">
-	<b>Report <span tal:replace="python: entry[0]">12</span>:</b>
-	<span tal:replace="python: entry[1]">Report Description</span>
-      </div>
-      <div class="span10">
-	status:
-	<b><span tal:replace="python: entry[2]">status</span></b>
-      </div>
-      <div class="span10">
-	<input type="submit" class="btn secondary"
-	       name="DISCARD" value="Discard"
-	       tal:condition="python: entry[4]" />
-	<input type="submit" class="btn secondary"
-	       name="DOWNLOAD" value="Download"
-	       tal:condition="python: entry[4]" />
-      </div>
-      <div class="span6">
-	<input type="hidden" name="job_id"
-	       tal:attributes="value python: entry[0]" />
-      </div>
-      <!-- span tal:replace="entry">ENRY</span -->
-    </form>
-    <hr />
+    <a href="" class="btn primary">Reload page</a>
+    <a href="create" class="btn secondary">Create new report</a>
   </div>
-</div>
-
-<div class="span12">
-  <form method="POST">
-    <a href="" class="btn primary">Reload</a>
-    <a href="create" class="btn secondary">Create new</a>
-  </form>
-</div>
+</form>
Index: main/waeup.kofa/trunk/src/waeup/kofa/reports.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/reports.py	(revision 9640)
+++ main/waeup.kofa/trunk/src/waeup/kofa/reports.py	(revision 9641)
@@ -90,5 +90,5 @@
 
     failed = schema.Bool(
-        title = u"`True` iff the job finished and didn't provide a report.",
+        title = u"`True` if the job finished and didn't provide a report.",
         default = None,
         )
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studentreportgeneratorpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studentreportgeneratorpage.pt	(revision 9640)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studentreportgeneratorpage.pt	(revision 9641)
@@ -1,50 +1,33 @@
-<div i18n:domain="waeup.kofa">
-  <h2 i18n:translate="">Create Report: Students by Session</h2>
-
-  <div class="row">
-    <div class="span8 columns">
-      <div class="span8 columns">
-	<p i18n:translate="">
-	  Please pick the session for which the report should be
-	  generated.
-	</p>
-	<p i18n:translate="">
-	  The report data will be calculated and then made available
-	  for you to view/download.
-	</p>
+<form  i18n:domain="waeup.kofa"  method="POST">
+  <p i18n:translate="">
+    Please pick the session for which the report should be
+    generated.
+    The report data will be calculated and then made available
+    for you to view/download.
+  </p>
+  <br />
+  <div class="clearfix">
+    <label for="session">Academic Session:</label>
+    <div class="input">
+      <select name="session">
+        <span tal:repeat="items view/sessions" tal:omit-tag="">
+        <option
+            tal:define="name python: items[1]; title python: items[0]"
+            tal:attributes="value name">
+          <span tal:replace="title">TITLE</span>
+        </option>
+        </span>
+      </select>
+      <div class="help-inline" i18n:translate="">
+        Academic session to report
       </div>
-      <form  method="POST">
-      <fieldset>
-
-	<div class="clearfix">
-	  <label for="session">Academic Session:</label>
-	  <div class="input">
-	    <select name="session">
-	      <span tal:repeat="items view/sessions" tal:omit-tag="">
-		<option
-		    tal:define="name python: items[1]; title python: items[0]"
-		    tal:attributes="value name">
-		  <span tal:replace="title">TITLE</span>
-		</option>
-	      </span>
-	    </select>
-	    <span class="help-inline" i18n:translate="">
-	      Academic session to report
-	    </span>
-	  </div>
-
-	</div>
-	<div class="input">
-	  <input i18n:translate="" type="submit" class="btn primary"
-		 name="CREATE" value="Create" />
-	  <a class="btn secondary" href=""
-	     tal:attributes="href view/parent_url">Abort</a>
-	</div>
-
-      </fieldset>
-    </form>
-
     </div>
   </div>
+  <div class="input">
+    <input i18n:translate="" type="submit" class="btn primary"
+     name="CREATE" value="Create" />
+    <a class="btn secondary" href=""
+       tal:attributes="href view/parent_url">Cancel</a>
+  </div>
+</form>
 
-</div>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9640)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9641)
@@ -22,4 +22,5 @@
 import tempfile
 import pytz
+import base64
 from datetime import datetime, timedelta
 from StringIO import StringIO
@@ -438,4 +439,10 @@
         # manufacturers to support a "logout" user interface element ...
         self.assertTrue('Manager' in self.browser.contents)
+
+    def test_basic_auth_base64(self):
+        auth_token = base64.b64encode('mgr:mgrpw')
+        self.browser.addHeader('Authorization', 'Basic %s' % auth_token)
+        self.browser.open(self.manage_container_path)
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
 
     def test_manage_access(self):