Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainercreate.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainercreate.pt	(revision 9642)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainercreate.pt	(revision 9643)
@@ -1,10 +1,9 @@
 <form  i18n:domain="waeup.kofa"  method="POST">
   <p i18n:translate="">
-    Here you can create reports representing portal data.
-    Please pick the type of report you want to create from the
-    selection below.
-    Afterwards you can configure the report (do the settings).
-    The report data will be calculated and then made available
-    for you to view/download.
+    Here you can create reports representing portal data.  Please pick
+    the type of report you want to create from the selection below.
+    Afterwards you can configure the report (do the settings).  The
+    report data will be calculated and then made available for you to
+    view/download.
   </p>
   <br />
@@ -14,9 +13,9 @@
       <select name="generator">
         <span tal:repeat="items view/creators" tal:omit-tag="">
-      <option
-          tal:define="name python: items[1]; title python: items[0]"
-          tal:attributes="value name">
-        <span tal:replace="title">TITLE</span>
-      </option>
+          <option
+              tal:define="name python: items[1]; title python: items[0]"
+              tal:attributes="value name">
+            <span tal:replace="title">TITLE</span>
+          </option>
         </span>
       </select>
@@ -28,5 +27,5 @@
   <div class="input">
     <input i18n:translate="" type="submit" class="btn primary"
-       name="START_GENERATOR" value="Configure" />
+           name="START_GENERATOR" value="Configure" />
     <a class="btn secondary" href=""
        tal:attributes="href python:view.url(context)">Cancel</a>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainerpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainerpage.pt	(revision 9642)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainerpage.pt	(revision 9643)
@@ -1,12 +1,12 @@
 <form method="POST" i18n:domain="waeup.kofa">
   <table>
-  <thead>
-	<tr>
-	  <th i18n:translate="">Report Number</th>
-    <th i18n:translate="">Description</th>
-    <th i18n:translate="">Status</th>
-    <th>&nbsp;</th>
-	</tr>
-  </thead>
+    <thead>
+      <tr>
+        <th i18n:translate="">Report Number</th>
+        <th i18n:translate="">Description</th>
+        <th i18n:translate="">Status</th>
+        <th>&nbsp;</th>
+      </tr>
+    </thead>
     <tbody>
       <tr tal:repeat="entry view/entries">
@@ -22,12 +22,12 @@
         <td>
           <form method="POST">
-          <input type="hidden" name="job_id"
-                 tal:attributes="value python: entry[0]" />
-          <input type="submit" class="btn secondary"
-                 name="DISCARD" value="Discard"
-                 tal:condition="python: entry[3]" />
-          <input type="submit" class="btn primary"
-                 name="DOWNLOAD" value="Download"
-                 tal:condition="python: entry[4]" />
+            <input type="hidden" name="job_id"
+                   tal:attributes="value python: entry[0]" />
+            <input type="submit" class="btn secondary"
+                   name="DISCARD" value="Discard"
+                   tal:condition="python: entry[3]" />
+            <input type="submit" class="btn primary"
+                   name="DOWNLOAD" value="Download"
+                   tal:condition="python: entry[4]" />
           </form>
         </td>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studentreportgeneratorpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studentreportgeneratorpage.pt	(revision 9642)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studentreportgeneratorpage.pt	(revision 9643)
@@ -1,8 +1,7 @@
 <form  i18n:domain="waeup.kofa"  method="POST">
   <p i18n:translate="">
-    Please pick the session for which the report should be
-    generated.
-    The report data will be calculated and then made available
-    for you to view/download.
+    Please pick the session for which the report should be generated.
+    The report data will be calculated and then made available for you
+    to view/download.
   </p>
   <br />
@@ -12,9 +11,9 @@
       <select name="session">
         <span tal:repeat="items view/sessions" tal:omit-tag="">
-        <option
-            tal:define="name python: items[1]; title python: items[0]"
-            tal:attributes="value name">
-          <span tal:replace="title">TITLE</span>
-        </option>
+          <option
+              tal:define="name python: items[1]; title python: items[0]"
+              tal:attributes="value name">
+            <span tal:replace="title">TITLE</span>
+          </option>
         </span>
       </select>
@@ -26,8 +25,7 @@
   <div class="input">
     <input i18n:translate="" type="submit" class="btn primary"
-     name="CREATE" value="Create" />
+           name="CREATE" value="Create" />
     <a class="btn secondary" href=""
        tal:attributes="href view/parent_url">Cancel</a>
   </div>
 </form>
-