Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainerpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainerpage.pt	(revision 9643)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/reportscontainerpage.pt	(revision 9644)
@@ -5,4 +5,5 @@
         <th i18n:translate="">Report Number</th>
         <th i18n:translate="">Description</th>
+        <th i18n:translate="">Creation Date</th>
         <th i18n:translate="">Status</th>
         <th>&nbsp;</th>
@@ -17,8 +18,11 @@
           <span tal:replace="python: entry[1]">REPORT DESCRIPTION</span>
         </td>
+        <td nowrap>
+          <span tal:replace="python: entry[5]">DATETIME</span>
+        </td>
         <td>
           <span tal:replace="python: entry[2]">STATUS</span>
         </td>
-        <td>
+        <td nowrap>
           <form method="POST">
             <input type="hidden" name="job_id"
Index: /main/waeup.kofa/trunk/src/waeup/kofa/reports.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/reports.py	(revision 9643)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/reports.py	(revision 9644)
@@ -22,5 +22,6 @@
 from persistent.list import PersistentList
 from zope import schema
-from zope.component import getUtility, getUtilitiesFor, queryUtility
+from zope.component import (
+    getUtility, getUtilitiesFor, queryUtility, ComponentLookupError)
 from zope.component.hooks import setSite
 from zope.interface import implementer
@@ -28,5 +29,5 @@
 from waeup.kofa.async import AsyncJob
 from waeup.kofa.interfaces import (
-    IJobManager, JOB_STATUS_MAP, IKofaPluggable, IKofaObject)
+    IJobManager, JOB_STATUS_MAP, IKofaPluggable, IKofaObject, IKofaUtils)
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.utils.helpers import now
@@ -104,4 +105,7 @@
         )
 
+    starttime = schema.TextLine(
+        title = u'Human readable start datetime')
+
     def __init__(site, generator_name):
         """Create a report job via generator."""
@@ -177,4 +181,7 @@
             downloaded. This is only true if the job finished and
             didn't raised exceptions.
+
+        ``<starttime>``
+            Datetime string indicating when the job was started.
 
         If ``user_id`` is ``None``, all jobs are returned.
@@ -291,4 +298,9 @@
     def __init__(self, site, generator_name, args=[], kw={}):
         self._generator_name = generator_name
+        try:
+            tz = getUtility(IKofaUtils).tzinfo
+            self.starttime = now(tz).strftime("%Y-%m-%d %H:%M:%S %Z")
+        except ComponentLookupError:
+            self.starttime = None
         super(AsyncReportJob, self).__init__(
             report_job, site, generator_name, args=args, kw=kw)
@@ -461,4 +473,7 @@
             didn't raised exceptions.
 
+        ``<starttime>``
+            Datetime object indicating when the job was started.
+
         If ``user_id`` is ``None``, all jobs are returned.
         """
@@ -471,8 +486,9 @@
             discardable = job.finished
             downloadable = job.finished and not job.failed
+            starttime = job.starttime
             if not hasattr(job, 'description'):
                 continue
             result.append((job_id, job.description, status,
-                           discardable, downloadable),)
+                           discardable, downloadable, starttime),)
         return result
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_reports.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_reports.py	(revision 9643)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_reports.py	(revision 9644)
@@ -395,5 +395,5 @@
         self.assertEqual(
             result,
-            [('2', 'Report 1 ()', u'running', False, False),]
+            [('2', 'Report 1 ()', u'running', False, False, None),]
             )
         return