Index: in/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studentreportgeneratorpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studentreportgeneratorpage.pt	(revision 9652)
+++ 	(revision )
@@ -1,49 +1,0 @@
-<form  i18n:domain="waeup.kofa"  method="POST">
-  <p i18n:translate="">
-    Please pick the session and study modes group
-    for which the report should be generated.
-    The report data will be calculated and then made available for you
-    to view/download.
-  </p>
-  <br />
-  <div class="clearfix">
-    <label for="session">Academic Session:</label>
-    <div class="input">
-      <select name="session" i18n:translate="">
-        <span tal:repeat="items view/sessions" tal:omit-tag="">
-          <option
-              tal:define="name python: items[1]; title python: items[0]"
-              tal:attributes="value name">
-            <span tal:replace="title">TITLE</span>
-          </option>
-        </span>
-      </select>
-      <div class="help-inline" i18n:translate="">
-        Select academic session to report.
-      </div>
-    </div>
-    <br />
-    <label for="session" i18n:translate="">Study Modes Group:</label>
-    <div class="input">
-      <select name="mode">
-        <span tal:repeat="items view/modes" tal:omit-tag="">
-          <option
-              tal:define="name python: items[1]; title python: items[0]"
-              tal:attributes="value name">
-            <span tal:replace="title">TITLE</span>
-          </option>
-        </span>
-      </select>
-      <div class="help-inline" i18n:translate="">
-        Set study modes filter.
-      </div>
-    </div>
-
-  </div>
-  <div class="input">
-    <input i18n:translate="" type="submit" class="btn primary"
-           name="CREATE" value="Create" />
-    <a class="btn secondary" href=""
-       tal:attributes="href view/parent_url">Cancel</a>
-  </div>
-</form>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studentsreportgeneratorpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studentsreportgeneratorpage.pt	(revision 9653)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studentsreportgeneratorpage.pt	(revision 9653)
@@ -0,0 +1,49 @@
+<form  i18n:domain="waeup.kofa"  method="POST">
+  <p i18n:translate="">
+    Please pick the session and study modes group
+    for which the report should be generated.
+    The report data will be calculated and then made available for you
+    to view/download.
+  </p>
+  <br />
+  <div class="clearfix">
+    <label for="session">Academic Session:</label>
+    <div class="input">
+      <select name="session" i18n:translate="">
+        <span tal:repeat="items view/sessions" tal:omit-tag="">
+          <option
+              tal:define="name python: items[1]; title python: items[0]"
+              tal:attributes="value name">
+            <span tal:replace="title">TITLE</span>
+          </option>
+        </span>
+      </select>
+      <div class="help-inline" i18n:translate="">
+        Select academic session to report.
+      </div>
+    </div>
+    <br />
+    <label for="session" i18n:translate="">Study Modes Group:</label>
+    <div class="input">
+      <select name="mode">
+        <span tal:repeat="items view/modes" tal:omit-tag="">
+          <option
+              tal:define="name python: items[1]; title python: items[0]"
+              tal:attributes="value name">
+            <span tal:replace="title">TITLE</span>
+          </option>
+        </span>
+      </select>
+      <div class="help-inline" i18n:translate="">
+        Set study modes filter.
+      </div>
+    </div>
+
+  </div>
+  <div class="input">
+    <input i18n:translate="" type="submit" class="btn primary"
+           name="CREATE" value="Create" />
+    <a class="btn secondary" href=""
+       tal:attributes="href view/parent_url">Cancel</a>
+  </div>
+</form>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/reports.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/reports.py	(revision 9652)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/reports.py	(revision 9653)
@@ -26,5 +26,5 @@
 from waeup.kofa.reports import IReport
 
-class IStudentReport(IReport):
+class IStudentsReport(IReport):
     pass
 
@@ -112,6 +112,6 @@
     ]
 
-@implementer(IStudentReport)
-class StudentReport(Report):
+@implementer(IStudentsReport)
+class StudentsReport(Report):
     data = None
     session = None
@@ -119,5 +119,5 @@
 
     def __init__(self, session, mode, author='System'):
-        super(StudentReport, self).__init__(
+        super(StudentsReport, self).__init__(
             args=[session, mode], kwargs={'author':author})
         self.session = academic_sessions_vocab.getTerm(session).title
@@ -127,5 +127,5 @@
 
     def __repr__(self):
-        return 'StudentReport (session=%s, mode=%s)' % (
+        return 'StudentsReport (session=%s, mode=%s)' % (
             self.session, self.mode)
 
@@ -152,5 +152,5 @@
 
 @implementer(IReportGenerator)
-class StudentReportGenerator(grok.GlobalUtility):
+class StudentsReportGenerator(grok.GlobalUtility):
 
     title = _('Students')
@@ -162,5 +162,5 @@
 
     def generate(self, site, session=None, mode=None, author=None):
-        result = StudentReport(session=session, mode=mode, author=author)
+        result = StudentsReport(session=session, mode=mode, author=author)
         return result
 
@@ -174,7 +174,7 @@
 from waeup.kofa.reports import get_generators
 grok.templatedir('browser_templates')
-class StudentReportGeneratorPage(KofaPage):
-
-    grok.context(StudentReportGenerator)
+class StudentsReportGeneratorPage(KofaPage):
+
+    grok.context(StudentsReportGenerator)
     grok.name('index.html')
     grok.require('waeup.manageReports')
@@ -219,7 +219,7 @@
         return
 
-class StudentReportPDFView(grok.View):
-
-    grok.context(IStudentReport)
+class StudentsReportPDFView(grok.View):
+
+    grok.context(IStudentsReport)
     grok.name('pdf')
     grok.require('waeup.Public')
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_reports.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_reports.py	(revision 9652)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_reports.py	(revision 9653)
@@ -1,9 +1,9 @@
 # Tests for student related reports
 from waeup.kofa.students.reports import (
-    get_students_by, StudentReport)
+    get_students_by, StudentsReport)
 from waeup.kofa.students.tests.test_catalog import CatalogTestSetup
 from waeup.kofa.testing import FunctionalLayer
 
-class StudentReportTests(CatalogTestSetup):
+class StudentsReportTests(CatalogTestSetup):
 
     layer = FunctionalLayer
@@ -54,5 +54,5 @@
     def test_create_pdf(self):
         self.create_cert('FAC2', 'dept2', 'CERT2')
-        report = StudentReport(2010, 'Undergraduate Full-Time')
+        report = StudentsReport(2010, 'Undergraduate Full-Time')
         result = report.create_pdf()
         self.assertTrue(result.startswith('%PDF-'))