Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/batching.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/batching.py	(revision 9689)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/batching.py	(revision 9690)
@@ -476,4 +476,11 @@
     additional_headers = ['level']
 
+    @property
+    def available_fields(self):
+        fields = super(StudentStudyLevelProcessor, self).available_fields
+        fields.remove('total_credits')
+        fields.remove('gpa')
+        return  fields
+
     def getParent(self, row, site):
         student = self._getStudent(row, site)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9689)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9690)
@@ -1107,5 +1107,5 @@
     grok.template('studylevelmanagepage')
     form_fields = grok.AutoFields(IStudentStudyLevel).omit(
-        'validation_date', 'validated_by')
+        'validation_date', 'validated_by', 'total_credits', 'gpa')
     pnav = 4
     taboneactions = [_('Save'),_('Cancel')]
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studylevelpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studylevelpage.pt	(revision 9689)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/studylevelpage.pt	(revision 9690)
@@ -15,20 +15,4 @@
       </tr>
     </tal:block>
-    <tr>
-      <td i18n:translate="">
-        Total Credits:
-      </td>
-      <td>
-        <span tal:replace="view/context/total_credits">26</span>
-      </td>
-    </tr>
-    <tr>
-      <td i18n:translate="">
-        Momentary GPA:
-      </td>
-      <td>
-        <span tal:replace="python: '%4.2f' % view.context.gpa">2.33</span>
-      </td>
-    </tr>
   </tbody>
 </table>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 9689)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 9690)
@@ -480,6 +480,4 @@
     certcode = Attribute('The certificate code of the study course')
     is_current_level = Attribute('Is this level the current level of the student?')
-    total_credits = Attribute('Total of all ticket credits in this study level.')
-    gpa = Attribute('Grade point average in this study level.')
 
     level_session = schema.Choice(
@@ -508,4 +506,16 @@
         )
 
+    total_credits = schema.Int(
+        title = _(u'Total Credits'),
+        required = False,
+        readonly = True,
+        )
+
+    gpa = schema.Int(
+        title = _(u'GPA'),
+        required = False,
+        readonly = True,
+        )
+
     def addCourseTicket(ticket, course):
         """Add a course ticket object.
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/studylevel.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/studylevel.py	(revision 9689)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/studylevel.py	(revision 9690)
@@ -89,6 +89,6 @@
                 gpa += ticket.credits * ticket.weight
         if credits_counted:
-            gpa = float(gpa)/credits_counted
-        return gpa
+            gpa = 100*gpa/credits_counted
+        return float(gpa)/100
 
     @property
@@ -138,5 +138,6 @@
         return
 
-StudentStudyLevel = attrs_to_fields(StudentStudyLevel)
+StudentStudyLevel = attrs_to_fields(
+    StudentStudyLevel, omit=['total_credits', 'gpa'])
 
 class StudentStudyLevelFactory(grok.GlobalUtility):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9689)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 9690)
@@ -767,5 +767,5 @@
         # GPA has been properly calculated and is shown on the page
         self.browser.open(self.student_path + '/studycourse/100')
-        self.assertTrue('3.00' in self.browser.contents)
+        self.assertTrue('3.0' in self.browser.contents)
         self.assertEqual(self.student['studycourse']['100'].gpa, 3.0)
         # Carry-over courses will be collected when next level is created
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 9689)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 9690)
@@ -219,7 +219,8 @@
         self.assertEqual(
             result,
-            'level,level_session,level_verdict,validated_by,validation_date,'
+            'gpa,level,level_session,level_verdict,total_credits,'
+            'validated_by,validation_date,'
             'student_id,number_of_tickets,certcode\r\n'
-            ',,0,,,,0,\r\n'
+            '0.0,,,0,0,,,,0,\r\n'
             )
         return
@@ -236,7 +237,8 @@
         self.assertEqual(
             result,
-            'level,level_session,level_verdict,validated_by,validation_date,'
+            'gpa,level,level_session,level_verdict,total_credits,'
+            'validated_by,validation_date,'
             'student_id,number_of_tickets,certcode\r\n'
-            '100,2012,A,,,A111111,1,CERT1\r\n'
+            '0.0,100,2012,A,100,,,A111111,1,CERT1\r\n'
             )
         return
@@ -251,7 +253,8 @@
         self.assertEqual(
             result,
-            'level,level_session,level_verdict,validated_by,validation_date,'
+            'gpa,level,level_session,level_verdict,total_credits,'
+            'validated_by,validation_date,'
             'student_id,number_of_tickets,certcode\r\n'
-            '100,2012,A,,,A111111,1,CERT1\r\n'
+            '0.0,100,2012,A,100,,,A111111,1,CERT1\r\n'
             )
         return
@@ -265,7 +268,8 @@
         self.assertEqual(
             result,
-            'level,level_session,level_verdict,validated_by,validation_date,'
+            'gpa,level,level_session,level_verdict,total_credits,'
+            'validated_by,validation_date,'
             'student_id,number_of_tickets,certcode\r\n'
-            '100,2012,A,,,A111111,1,CERT1\r\n'
+            '0.0,100,2012,A,100,,,A111111,1,CERT1\r\n'
             )
         return