Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9701)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 9702)
@@ -356,5 +356,6 @@
     grok.require('waeup.viewStudent')
     grok.template('basepage')
-    form_fields = grok.AutoFields(IStudentBase).omit('password', 'suspended')
+    form_fields = grok.AutoFields(IStudentBase).omit(
+        'password', 'suspended', 'suspended_comment')
     pnav = 4
 
@@ -610,5 +611,7 @@
     grok.require('waeup.viewStudent')
     prefix = 'form'
-    omit_fields = ('password', 'suspended', 'phone', 'adm_code')
+    omit_fields = (
+        'password', 'suspended', 'phone',
+        'adm_code', 'suspended_comment')
 
     @property
@@ -1047,5 +1050,7 @@
         'validation_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
     prefix = 'form'
-    omit_fields = ('password', 'suspended', 'phone', 'adm_code', 'sex')
+    omit_fields = (
+        'password', 'suspended', 'phone',
+        'adm_code', 'sex', 'suspended_comment')
 
     @property
@@ -1501,5 +1506,7 @@
     prefix = 'form'
     note = None
-    omit_fields = ('password', 'suspended', 'phone', 'adm_code', 'sex')
+    omit_fields = (
+        'password', 'suspended', 'phone',
+        'adm_code', 'sex', 'suspended_comment')
 
     @property
@@ -1744,5 +1751,6 @@
     form_fields['booking_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
     prefix = 'form'
-    omit_fields = ('password', 'suspended', 'phone', 'adm_code')
+    omit_fields = (
+        'password', 'suspended', 'phone', 'adm_code', 'suspended_comment')
 
     @property
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 9701)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 9702)
@@ -169,4 +169,12 @@
         )
 
+    suspended_comment = schema.Text(
+        title = _(u"Reasons for Deactivation"),
+        required = False,
+        description = _(
+            u'This message will be shown if and only if deactivated '
+            'students try to login.'),
+        )
+
     student_id = schema.TextLine(
         title = _(u'Student Id'),
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 9701)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 9702)
@@ -52,10 +52,10 @@
             'firstname,lastname,matric_number,middlename,nationality,officer_comment,'
             'perm_address,personal_updated,'
-            'phone,reg_number,sex,student_id,suspended,password,'
+            'phone,reg_number,sex,student_id,suspended,suspended_comment,password,'
             'state,history,certcode,is_postgrad,current_level,current_session\r\n'
 
             'my adm code,0,my clr code,1981-02-04#,anna@sample.com,,'
             'Anna,Tester,234,M.,NG,,"Studentroad 21\nLagos 123456\n",,'
-            '+234-123-12345#,123,f,A111111,0,,created'
+            '+234-123-12345#,123,f,A111111,0,,,created'
             in result
             )
@@ -73,10 +73,10 @@
             'firstname,lastname,matric_number,middlename,nationality,officer_comment,'
             'perm_address,personal_updated'
-            ',phone,reg_number,sex,student_id,suspended,password,'
+            ',phone,reg_number,sex,student_id,suspended,suspended_comment,password,'
             'state,history,certcode,is_postgrad,current_level,current_session\r\n'
 
             'my adm code,0,my clr code,1981-02-04#,anna@sample.com,,'
             'Anna,Tester,234,M.,NG,,"Studentroad 21\nLagos 123456\n",,'
-            '+234-123-12345#,123,f,A111111,0,,created'
+            '+234-123-12345#,123,f,A111111,0,,,created'
             in result
             )
@@ -93,10 +93,10 @@
             'firstname,lastname,matric_number,middlename,nationality,officer_comment,'
             'perm_address,personal_updated'
-            ',phone,reg_number,sex,student_id,suspended,password,'
+            ',phone,reg_number,sex,student_id,suspended,suspended_comment,password,'
             'state,history,certcode,is_postgrad,current_level,current_session\r\n'
 
             'my adm code,0,my clr code,1981-02-04#,anna@sample.com,,'
             'Anna,Tester,234,M.,NG,,"Studentroad 21\nLagos 123456\n",,'
-            '+234-123-12345#,123,f,A111111,0,,created'
+            '+234-123-12345#,123,f,A111111,0,,,created'
             in result
             )